<link rel="stylesheet" href="https://unpkg.com/leaflet@1.3.4/dist/leaflet.css"
   integrity="sha512-puBpdR0798OZvTTbP4A8Ix/l+A4dHDD0DGqYW6RQ+9jxkRFclaxxQb/SJAWZfWAkuyeQUytO7+7N4QKrDh+drA=="
   crossorigin=""/>
   <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">
   <link href="https://unpkg.com/frappe-datatable@0.0.5/dist/frappe-datatable.min.css" rel="stylesheet">
<style>

    .card {
        position: relative;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-direction: column;
        flex-direction: column;
        min-width: 0;
        word-wrap: break-word;
        background-color : #fff;
        background-clip: border-box;
        border: 1px solid rgba(0,0,0,.125);;
        border-radius: .25rem;
    }

    .bg-primary {
    background-color: #007bff!important;
    }

    .padTop10 {
        padding-top: 10px !important;
    }

    .col-sm-6 {
        padding-left:0;
    }

    .o-hidden {
    overflow: hidden !important;
    }
    .text-white {
        color: #fff!important;
    }
    .h-100 {
    height: 100%!important;
}
    .bg-success {
        background-color: #28a745!important;
    }

    .bg-success {
        background-color: #28a745!important;
    }

    .bg-danger {
    background-color: #dc3545!important;
}

    .bg-warning {
        background-color: #ffc107!important;
    }

    .card-body {
        -ms-flex: 1 1 auto;
        flex: 1 1 auto;
        padding: 1.25rem;
    }

    .card-footer:last-child {
        border-radius: 0 0 calc(.25rem - 1px) calc(.25rem - 1px);
    }

    .card-footer {
        padding: .75rem 1.25rem;
        background-color: rgba(0,0,0,.03);
        border-top: 1px solid rgba(0,0,0,.125);
    }
    .small, small {
        font-size: 80%;
        font-weight: 400;
    }

    .col-xl-3 {
        position: relative;
        flex: 0 0 25%;
        max-width: 287px;
        min-height: 1px;
        padding-right: 15px;
    }

    .mb-3, .my-3 {
    margin-bottom: 1rem!important;
    }
    @media (min-width: 1200px)
    .col-xl-3 {
        -ms-flex: 0 0 25%;
        flex: 0 0 25%;
        max-width: 25%;
    }
    @media (min-width: 576px)
    .col-sm-6 {
        -ms-flex: 0 0 50%;
        flex: 0 0 50%;
        max-width: 50%;
    }


    .bg-warning {
        background-color: #ffc107!important;
    }

</style>


        <div class="container">

                <div class="row padTop10">
                        <div class="col-xl-3 col-sm-6 mb-3">
                          <div class="card text-white bg-primary o-hidden h-100">
                            <div class="card-body">
                              <div class="card-body-icon">
                                <i class="fas fa-fw fa-comments"></i>
                              </div>
                              <div class="mr-5">1 Equipment</div>
                            </div>
                            <a class="card-footer text-white clearfix small z-1" href="#">
                              <span class="float-left">View Details</span>
                              <span class="float-right">
                                <i class="fas fa-angle-right"></i>
                              </span>
                            </a>
                          </div>
                        </div>
                        <div class="col-xl-3 col-sm-6 mb-3">
                          <div class="card text-white bg-warning o-hidden h-100">
                            <div class="card-body">
                              <div class="card-body-icon">
                                <i class="fas fa-fw fa-list"></i>
                              </div>
                              <div class="mr-5"><span id="activeTime"></span> Active Time</div>
                            </div>
                            <a class="card-footer text-white clearfix small z-1" href="#totalMovemen">
                              <span class="float-left">View Details</span>
                              <span class="float-right">
                                <i class="fas fa-angle-right"></i>
                              </span>
                            </a>
                          </div>
                        </div>
                        <div class="col-xl-3 col-sm-6 mb-3">
                          <div class="card text-white bg-success o-hidden h-100">
                            <div class="card-body">
                              <div class="card-body-icon">
                                <i class="fas fa-fw fa-shopping-cart"></i>
                              </div>
                              <div class="mr-5"><span id="avgMovement"></span> Mins / Mvmt</div>
                            </div>
                            <a class="card-footer text-white clearfix small z-1" href="#">
                              <span class="float-left">Average Movement Duration</span>
                              <span class="float-right">
                                <i class="fas fa-star"></i>
                              </span>
                            </a>
                          </div>
                        </div>
                        <div class="col-xl-3 col-sm-6 mb-3">
                          <div class="card text-white bg-danger o-hidden h-100">
                            <div class="card-body">
                              <div class="card-body-icon">
                                <i class="fas fa-fw fa-life-ring"></i>
                              </div>
                              <div class="mr-5">1 Active SPK</div>
                            </div>
                            <a class="card-footer text-white clearfix small z-1" href="#">
                              <span class="float-left">View Details</span>
                              <span class="float-right">
                                <i class="fas fa-angle-right"></i>
                              </span>
                            </a>
                          </div>
                        </div>
                      </div>

            <div class="row">
                <div class="col-md-6" >
                    <div class="wrapper">
                        <div  id="fleetPerformance">fleet</div>
                    </div> 
                </div>
                <div class="col-md-6" >
                    <div  id="totalMovemen">movement</div> 
                </div>
            </div>
            <div class="clear"></div>
            <div class="row">
                <div class="col-md-6" id="map" style="height:300px">
                    <h3><p class="text-center">Vehicle Maps</p></h3>
                </div>
                <div class="col-md-6" id="datatable">
                    <h3><p class="text-center">Data</p> </h3>
                </div>
            </div>
            <div class="clear"></div>
            <div class="row">
                <div class="col-md-12" >
                    <div  id="fuelUsage">usage</div> 
                </div>
            </div>
            
                <div class="row">
                    <div  class="col-md-12">
                        <h3><p class="text-center">Usage</p></h3>
                    </div>
                </div>

                
        </div>
        <script src="https://unpkg.com/leaflet@1.3.4/dist/leaflet.js"
   integrity="sha512-nMMmRyTVoLYqjP9hrbed9S+FzjZHW5gY1TWCHA5ckwXZBadntCNs8kEqAWdrb9O7rxbCaA4lKTIWjDXZxflOcA=="
   crossorigin=""></script>
   

